<?php
/**
 * @package DJ-Events
 * @copyright Copyright (C) DJ-Extensions.com, All rights reserved.
 * @license http://www.gnu.org/licenses GNU/GPL
 * @author url: http://dj-extensions.com
 * @author email contact@dj-extensions.com
 * @developer Szymon Woronowski - szymon.woronowski@design-joomla.eu
 *
 */

defined('JPATH_PLATFORM') or die;

/**
 * Form Field class for the Joomla Platform.
 * Supports a one line text field.
 *
 * @link   http://www.w3.org/TR/html-markup/input.text.html#input.text
 * @since  11.1
 */
class JFormFieldDJOnlyPro extends JFormField
{
	/**
	 * The form field type.
	 *
	 * @var    string
	 * @since  11.1
	 */
	protected $type = 'DJOnlyPro';
	
	/**
	 * Method to get the field input markup.
	 *
	 * @return  string  The field input markup.
	 *
	 * @since   11.1
	 */
	protected function getInput()
	{
		$lang = JFactory::getLanguage();
		$lang->load('com_djevents', JPATH_ROOT, 'en-GB', true, false);
    	$lang->load('com_djevents', JPATH_ROOT . '/administrator/components/com_djevents', 'en-GB', true, false);
    	$lang->load('com_djevents', JPATH_ROOT, null, true, false);
    	$lang->load('com_djevents', JPATH_ROOT . '/administrator/components/com_djevents', null, true, false);

		$html = JText::sprintf('COM_DJEVENTS_GET_PRO_LINK', JText::_('COM_DJEVENTS_ONLY_PRO'));

		return $html;
	}
}
